<?php
/**
 * About Section options.
 *
 * @package prime-fitness-gym 
 */

$prime_fitness_gym_default = prime_fitness_gym_get_default_theme_options();

/** About Info section */
$wp_customize->add_section(
    'featured_about_info_section',
    array(
        'title'    => __( 'About Info', 'prime-fitness-gym' ),      
        'priority' => 1,
        'panel'      => 'prime_fitness_gym_section_panel',       	
    )
);

// Enable Section
$wp_customize->add_setting(
    'feature_about_enable_section',
    array(
        'default' 			=> true,
       'sanitize_callback' => 'prime_fitness_gym_sanitize_switch',

    )
);
$wp_customize->add_control(
    new prime_fitness_gym_Toggle_Checkbox_Custom_control(
        $wp_customize,
        'feature_about_enable_section',
        array(
            'settings'      => 'feature_about_enable_section',
            'section'       => 'featured_about_info_section',
            'label'         => __( 'Enable Section', 'prime-fitness-gym' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'prime-fitness-gym' ),
                'off' => __( 'No', 'prime-fitness-gym' )
            ),
        )
    )
);
    $wp_customize->add_setting('prime_fitness_gym_featured_about_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'prime_fitness_gym_sanitize_choices',
    ));
    $wp_customize->add_control('prime_fitness_gym_featured_about_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','prime-fitness-gym'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','prime-fitness-gym'),
            'wow bounceInRight' => __('Bounce In Right','prime-fitness-gym'),
            'wow bounceInUp' => __('Bounce In Up','prime-fitness-gym'),
            'wow bounceInDown' => __('Bounce In Down','prime-fitness-gym'),
            'wow zoomIn' => __('Zoom In','prime-fitness-gym'),
            'wow zoomOut' => __('Zoom Out','prime-fitness-gym'),
            'wow fadeInDown' => __('Fade In Down','prime-fitness-gym'),            
            'wow fadeInUp' => __('Fade In Up','prime-fitness-gym'),
            'wow fadeInLeft' => __('Fade In Left','prime-fitness-gym'),
            'wow fadeInRight' => __('Fade In Right','prime-fitness-gym'),
            'flip-up' => __('Flip Up','prime-fitness-gym')
        ),
        'section' => 'featured_about_info_section',
    ));

// Section main  Title
$wp_customize->add_setting('theme_options[featured_about_section_maintitle]', 
	array(
	'default'           => $prime_fitness_gym_default['featured_about_section_maintitle'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',	
	'sanitize_callback' => 'sanitize_text_field'
	)
);
$wp_customize->add_control('theme_options[featured_about_section_maintitle]', 
	array(
	'label'       => __('Heading', 'prime-fitness-gym'),
	'section'     => 'featured_about_info_section',   
	'settings'    => 'theme_options[featured_about_section_maintitle]',		
	'type'        => 'text'
	)
);
// Section Title
$wp_customize->add_setting('theme_options[featured_about_section_title]', 
	array(
	'default'           => $prime_fitness_gym_default['featured_about_section_title'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',	
	'sanitize_callback' => 'sanitize_text_field'
	)
);
$wp_customize->add_control('theme_options[featured_about_section_title]', 
	array(
	'label'       => __('Sub Heading', 'prime-fitness-gym'),
	'section'     => 'featured_about_info_section',   
	'settings'    => 'theme_options[featured_about_section_title]',		
	'type'        => 'textarea'
	)
);

// Section img Text 1
$wp_customize->add_setting('theme_options[featured_about_section_imagetitle1]', 
	array(
	'default'           => $prime_fitness_gym_default['featured_about_section_imagetitle1'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',	
	'sanitize_callback' => 'sanitize_text_field'
	)
);
$wp_customize->add_control('theme_options[featured_about_section_imagetitle1]', 
	array(
	'label'       => __('Image Upper Text', 'prime-fitness-gym'),
	'section'     => 'featured_about_info_section',   
	'settings'    => 'theme_options[featured_about_section_imagetitle1]',				
	'type'        => 'text'
	)
);

// Section img Text 1
$wp_customize->add_setting('theme_options[featured_about_section_imagetitle2]', 
	array(
	'default'           => $prime_fitness_gym_default['featured_about_section_imagetitle2'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',	
	'sanitize_callback' => 'sanitize_text_field'
	)
);
$wp_customize->add_control('theme_options[featured_about_section_imagetitle2]', 
	array(
	'label'       => __('Image Right Text', 'prime-fitness-gym'),
	'section'     => 'featured_about_info_section',   
	'settings'    => 'theme_options[featured_about_section_imagetitle2]',				
	'type'        => 'text'
	)
);



$wp_customize->add_setting('prime_fitness_gym_about_numberofplan',array(
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('prime_fitness_gym_about_numberofplan',array(
    'label' => __('Number Of Plan To Show','prime-fitness-gym'),
    'section' => 'featured_about_info_section'
));


 // Icon
    $wp_customize->add_setting('theme_options[featured_iconabout1]', 
        array(
        'default'           => $prime_fitness_gym_default['featured_iconabout1'],
        'type'              => 'theme_mod',
        'capability'        => 'edit_theme_options',	
        'sanitize_callback' => 'sanitize_text_field'
        )
    );
    $wp_customize->add_control('theme_options[featured_iconabout1]', 
        array(
        'label'       		=> __('Plan Icon', 'prime-fitness-gym'),
        'section'     		=> 'featured_about_info_section',   
        'settings'    		=> 'theme_options[featured_iconabout1]',			
        'type'        		=> 'text',
        )
    );

   

    // Section Sub Text
    $wp_customize->add_setting('theme_options[featured_about_section_bxtext1]', 
       array(
       'default'           => $prime_fitness_gym_default['featured_about_section_bxtext1'],
       'type'              => 'theme_mod',
       'capability'        => 'edit_theme_options',	
       'sanitize_callback' => 'sanitize_text_field'
       )
   );
       $wp_customize->add_control('theme_options[featured_about_section_bxtext1]', 
       array(
       'label'       => __('Plan Text 1', 'prime-fitness-gym'),
       'section'     => 'featured_about_info_section',   
       'settings'    => 'theme_options[featured_about_section_bxtext1]',				
       'type'        => 'text'
       )
   );

   // Section Sub Text
   $wp_customize->add_setting('theme_options[featured_about_section_bxtext2]', 
   array(
   'default'           => $prime_fitness_gym_default['featured_about_section_bxtext2'],
   'type'              => 'theme_mod',
   'capability'        => 'edit_theme_options',	
   'sanitize_callback' => 'sanitize_text_field'
   )
);
   $wp_customize->add_control('theme_options[featured_about_section_bxtext2]', 
   array(
   'label'       => __('Plan Text 2', 'prime-fitness-gym'),
   'section'     => 'featured_about_info_section',   
   'settings'    => 'theme_options[featured_about_section_bxtext2]',				
   'type'        => 'text'
   )
);

// Section Sub Text
$wp_customize->add_setting('theme_options[featured_about_section_bxtext3]', 
array(
'default'           => $prime_fitness_gym_default['featured_about_section_bxtext3'],
'type'              => 'theme_mod',
'capability'        => 'edit_theme_options',	
'sanitize_callback' => 'sanitize_text_field'
)
);
$wp_customize->add_control('theme_options[featured_about_section_bxtext3]', 
array(
'label'       => __('Plan Text 3', 'prime-fitness-gym'),
'section'     => 'featured_about_info_section',   
'settings'    => 'theme_options[featured_about_section_bxtext3]',				
'type'        => 'text'
)
);

// Section Sub Text
$wp_customize->add_setting('theme_options[featured_about_section_bxtext4]', 
array(
'default'           => $prime_fitness_gym_default['featured_about_section_bxtext4'],
'type'              => 'theme_mod',
'capability'        => 'edit_theme_options',	
'sanitize_callback' => 'sanitize_text_field'
)
);
$wp_customize->add_control('theme_options[featured_about_section_bxtext4]', 
array(
'label'       => __('Plan Text 4', 'prime-fitness-gym'),
'section'     => 'featured_about_info_section',   
'settings'    => 'theme_options[featured_about_section_bxtext4]',				
'type'        => 'text'
)
);

    


    $wp_customize->add_setting('theme_options[featured_about_section_buttontext]', 
        array(
        'default'           => $prime_fitness_gym_default['featured_about_section_buttontext'],
        'type'              => 'theme_mod',
        'capability'        => 'edit_theme_options',	
        'sanitize_callback' => 'sanitize_text_field'
        )
    );
    $wp_customize->add_control('theme_options[featured_about_section_buttontext]', 
        array(
        'label'       => __('Button Text', 'prime-fitness-gym'),
        'section'     => 'featured_about_info_section',   
        'settings'    => 'theme_options[featured_about_section_buttontext]',				
        'type'        => 'text'
        )
    );

// saprator
    $wp_customize->add_setting('prime_fitness_gym_about_leftheading',array(
       'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('prime_fitness_gym_about_leftheading',array(
        'label' => __('Left Side Image','prime-fitness-gym'),
        'section' => 'featured_about_info_section'
    ));

// main about image 1
    $wp_customize->add_setting( 'prime_fitness_gym_about_image1', array(  
        'sanitize_callback' => 'prime_fitness_gym_sanitise_custom_url'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'prime_fitness_gym_about_image1', array(
        'label' => __('About Image','prime-fitness-gym'),
        'description'   => __( 'Size 704px x 900x', 'prime-fitness-gym' ),
        'section' => 'featured_about_info_section',
        'settings'   => 'prime_fitness_gym_about_image1',
    )));

   
/*********** About Colors Section *************/

$wp_customize->add_section(
    'about_text_colors_section',
    array(
        'title'    => __( 'Colors', 'prime-fitness-gym' ),        
        'priority' => 2,
        'panel'      => 'prime_fitness_gym_aboutsec',  
    )
);
/** Colors control */  
    $wp_customize->add_setting('theme_options[about_maintitle_color]', 
        array(
        'default'     => "#EB4438",
        'transport'   => 'refresh', 
        'sanitize_callback' => 'sanitize_hex_color',       
        )
    );
    $wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize,'theme_options[about_maintitle_color]', 
        array(
        'label'       => __('Heading', 'prime-fitness-gym'),
        'section'     => 'about_text_colors_section',   
        'settings'    => 'theme_options[about_maintitle_color]',         
        )
    ));

   $wp_customize->add_setting('theme_options[about_title_color]', 
        array(
        'default'     => "#272727",
        'transport'   => 'refresh',  
        'sanitize_callback' => 'sanitize_hex_color',      
        )
    );
    $wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize,'theme_options[about_title_color]', 
        array(
        'label'       => __('Heading Color Text 1', 'prime-fitness-gym'),
        'section'     => 'about_text_colors_section',   
        'settings'    => 'theme_options[about_title_color]',  
        
        )
    ));
    
    $wp_customize->add_setting('theme_options[about_subtitle_color]', 
        array(
        'default'     => "#272727",
        'transport'   => 'refresh',
        'sanitize_callback' => 'sanitize_hex_color', 
        )
    );
    $wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize,'theme_options[about_subtitle_color]', 
        array(
        'label'       => __('Text Color', 'prime-fitness-gym'),
        'section'     => 'about_text_colors_section',   
        'settings'    => 'theme_options[about_subtitle_color]', 
        
        )
    ));   

    $wp_customize->add_setting('theme_options[about_bx1icn_clr]', 
        array(
        'default'     => "#EB4438",
        'transport'   => 'refresh',
        'sanitize_callback' => 'sanitize_hex_color',
        )
    );
    $wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize,'theme_options[about_bx1icn_clr]', 
        array(
        'label'       => __('Plan Icon Color', 'prime-fitness-gym'),
        'section'     => 'about_text_colors_section',   
        'settings'    => 'theme_options[about_bx1icn_clr]',  
        
        )
    ));         
    $wp_customize->add_setting('theme_options[about_bxtitleclr_clr]', 
        array(
        'default'     => "#272727",
        'transport'   => 'refresh',
        'sanitize_callback' => 'sanitize_hex_color',
        )
    );
    $wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize,'theme_options[about_bxtitleclr_clr]', 
        array(
        'label'       => __('Plan Heading Color', 'prime-fitness-gym'),
        'section'     => 'about_text_colors_section',   
        'settings'    => 'theme_options[about_bxtitleclr_clr]',  
        
        )
    )); 
    
    $wp_customize->add_setting('theme_options[about_bxtexteclr_clr]', 
        array(
        'default'     => "#4B4B4B",
        'transport'   => 'refresh',
        'sanitize_callback' => 'sanitize_hex_color',
        )
    );
    $wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize,'theme_options[about_bxtexteclr_clr]', 
        array(
        'label'       => __('Plan Text Color', 'prime-fitness-gym'),
        'section'     => 'about_text_colors_section',   
        'settings'    => 'theme_options[about_bxtexteclr_clr]',  
        
        )
    )); 

    $wp_customize->add_setting('theme_options[about_facility_clr]', 
        array(
        'default'     => "#272727",
        'transport'   => 'refresh',
        'sanitize_callback' => 'sanitize_hex_color',
        )
    );
    $wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize,'theme_options[about_facility_clr]', 
        array(
        'label'       => __('Facility Color', 'prime-fitness-gym'),
        'section'     => 'about_text_colors_section',   
        'settings'    => 'theme_options[about_facility_clr]',  
        
        )
    )); 

    $wp_customize->add_setting('theme_options[about_button_bgclr]', 
        array(
        'default'     => "#eb4438",
        'transport'   => 'refresh',
        'sanitize_callback' => 'sanitize_hex_color', 
        )
    );
    $wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize,'theme_options[about_button_bgclr]', 
        array(
        'label'       => __('Button BG Color', 'prime-fitness-gym'),
        'section'     => 'about_text_colors_section',   
        'settings'    => 'theme_options[about_button_bgclr]', 
        
        )
    )); 

    $wp_customize->add_setting('theme_options[about_button_textclr]', 
        array(
        'default'     => "#FFFFFF",
        'transport'   => 'refresh',
        'sanitize_callback' => 'sanitize_hex_color',
        )
    );
    $wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize,'theme_options[about_button_textclr]', 
        array(
        'label'       => __('Button Text Color', 'prime-fitness-gym'),
        'section'     => 'about_text_colors_section',   
        'settings'    => 'theme_options[about_button_textclr]',  
        
        )
    )); 

    $wp_customize->add_setting('theme_options[about_image_upper_textclr]', 
        array(
        'default'     => "#272727",
        'transport'   => 'refresh',
        'sanitize_callback' => 'sanitize_hex_color',
        )
    );
    $wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize,'theme_options[about_image_upper_textclr]', 
        array(
        'label'       => __('Image Upper Text Color', 'prime-fitness-gym'),
        'section'     => 'about_text_colors_section',   
        'settings'    => 'theme_options[about_image_upper_textclr]',  
        
        )
    )); 

    $wp_customize->add_setting('theme_options[about_image_below_textclr]', 
        array(
        'default'     => "#fff",
        'transport'   => 'refresh',
        'sanitize_callback' => 'sanitize_hex_color',
        )
    );
    $wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize,'theme_options[about_image_below_textclr]', 
        array(
        'label'       => __('Image Below Text Color', 'prime-fitness-gym'),
        'section'     => 'about_text_colors_section',   
        'settings'    => 'theme_options[about_image_below_textclr]',  
        
        )
    )); 

// /** about Structure section */

    $wp_customize->add_section(
        'about_structure_section',
        array(
            'title'    => __( 'Structure', 'prime-fitness-gym' ),        
            'priority' => 3,
            'panel'      => 'prime_fitness_gym_aboutsec_panel4',  
        )
    );
     
    $wp_customize->add_setting('featured_about_image_height', array(
        'default' => '704',
        'sanitize_callback' => 'prime_fitness_gym_sanitize_imageheight_number_range'
    ));
    
    $wp_customize->add_control('featured_about_image_height', array(
        'label'   => __('Image Height', 'prime-fitness-gym'),
        'section' => 'about_structure_section',
        'type'    => 'number'
    ));
   
    $wp_customize->add_setting('featured_about_maintitle_case',array(
        'default' => 'Uppercase',
        'sanitize_callback' => 'prime_fitness_gym_sanitize_choices',
    ));
    $wp_customize->add_control('featured_about_maintitle_case',array(
        'type' => 'select',
        'label' => __('Main Title Case','prime-fitness-gym'),
        'choices' => array (
            'Uppercase' => __('Uppercase','prime-fitness-gym'),
            'Lowercase' => __('Lowercase','prime-fitness-gym'),
            'Capitalize' => __('Capitalize','prime-fitness-gym'),
            'None' => __('None','prime-fitness-gym')
        ),
        'section' => 'about_structure_section',
    ));

    $wp_customize->add_setting('featured_about_title_case',array(
        'default' => 'None',
        'sanitize_callback' => 'prime_fitness_gym_sanitize_choices',
    ));
    $wp_customize->add_control('featured_about_title_case',array(
        'type' => 'select',
        'label' => __('Title Case','prime-fitness-gym'),
        'choices' => array (
            'Uppercase' => __('Uppercase','prime-fitness-gym'),
            'Lowercase' => __('Lowercase','prime-fitness-gym'),
            'Capitalize' => __('Capitalize','prime-fitness-gym'),
            'None' => __('None','prime-fitness-gym')
        ),
        'section' => 'about_structure_section',
    ));

    $wp_customize->add_setting('featured_about_heading_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'prime_fitness_gym_sanitize_choices',
    ));
    $wp_customize->add_control('featured_about_heading_align',array(
        'type' => 'select',
        'label' => __('Main Title Alignment','prime-fitness-gym'),
        'choices' => array (
            'Center' => __('Center','prime-fitness-gym'),
            'Left' => __('Left','prime-fitness-gym'),
            'Right' => __('Right','prime-fitness-gym')
        ),
        'section' => 'about_structure_section',
    ));

    $wp_customize->add_setting('featured_about_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'prime_fitness_gym_sanitize_choices',
    ));
    $wp_customize->add_control('featured_about_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','prime-fitness-gym'),
        'choices' => array (
            'Box Width' => __('Box Width','prime-fitness-gym'),
            'Full Width' => __('Full Width','prime-fitness-gym')
        ),
        'section' => 'about_structure_section',
    ));

     //padding option

    $wp_customize->add_setting('prime_fitness_gym_featured_about_t_padding', 
        array(
        'default'           => 6,   
        'sanitize_callback' => 'sanitize_text_field'
        ));
    $wp_customize->add_control('prime_fitness_gym_featured_about_t_padding', 
        array(
        'label'       => __('Top', 'prime-fitness-gym'),
        'section'     => 'about_structure_section',   
        'settings'    => 'prime_fitness_gym_featured_about_t_padding',        
        'type'        => 'number',       
        
    ));

    $wp_customize->add_setting('prime_fitness_gym_featured_about_b_padding', 
        array(
        'default'           => 4,   
        'sanitize_callback' => 'sanitize_text_field'
        ));
    $wp_customize->add_control('prime_fitness_gym_featured_about_b_padding', 
        array(
        'label'       => __('Bottom', 'prime-fitness-gym'),
        'section'     => 'about_structure_section',   
        'settings'    => 'prime_fitness_gym_featured_about_b_padding',        
        'type'        => 'number',      
        
    ));      